# Telegram ZK certificate (GIP-7)

### Telegram Data

The following table lists the Telegram data contained in a Galactica zkCert. These fields need to be collected and validated by the Guardian.

<table><thead><tr><th width="232.33333333333331">Key</th><th width="328">Description</th><th>Technical details</th></tr></thead><tbody><tr><td><code>activeDayCount</code></td><td>Amount of days the user was "active" in Telegram.</td><td>Natural number.</td></tr><tr><td><code>contactWithAtLeast10MessagesCount</code></td><td>Amount of contacts the user sent at least 10 messages to.</td><td>Whole number.</td></tr><tr><td><code>createdAt</code></td><td>Date and time that the user account was created on Telegram.</td><td>Timestamp in <a href="https://datatracker.ietf.org/doc/html/rfc3339">RFC-3339</a> format.</td></tr><tr><td><code>meanMonthlyMessageCount</code></td><td>Mean amount of messages that the user sends per month.</td><td>Whole number.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.galactica.com/galactica-developer-documentation/guardian-guide/create-and-issue-zkkyc/zkkyc-gip-1-1-4.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
